Index: src/DelayTagged.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/DelayTagged.h,v
retrieving revision 1.2
diff -u -p -r1.2 DelayTagged.h
--- src/DelayTagged.h	23 May 2003 02:13:05 -0000	1.2
+++ src/DelayTagged.h	19 Jul 2003 11:04:27 -0000
@@ -91,14 +91,14 @@ class Id:public DelayIdComposite
         void *operator new(size_t);
         void operator delete (void *);
         virtual void deleteSelf() const;
-        Id (DelayTagged::Pointer, String &);
+        Id (RefCount<DelayTagged>, String &);
         ~Id();
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
         virtual void delayRead(DeferredRead const &);
 
     private:
-        DelayTagged::Pointer theTagged;
+        RefCount<DelayTagged> theTagged;
         DelayTaggedBucket::Pointer theBucket;
     };
 
Index: src/DelayUser.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/DelayUser.h,v
retrieving revision 1.5
diff -u -p -r1.5 DelayUser.h
--- src/DelayUser.h	21 May 2003 02:13:45 -0000	1.5
+++ src/DelayUser.h	19 Jul 2003 11:04:27 -0000
@@ -91,13 +91,13 @@ class Id:public DelayIdComposite
         void *operator new(size_t);
         void operator delete (void *);
         virtual void deleteSelf() const;
-        Id (DelayUser::Pointer, AuthUser *);
+        Id (RefCount<DelayUser>, AuthUser *);
         ~Id();
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
 
     private:
-        DelayUser::Pointer theUser;
+        RefCount<DelayUser> theUser;
         DelayUserBucket::Pointer theBucket;
     };
 
Index: src/DelayVector.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/DelayVector.h,v
retrieving revision 1.7
diff -u -p -r1.7 DelayVector.h
--- src/DelayVector.h	21 May 2003 02:13:45 -0000	1.7
+++ src/DelayVector.h	19 Jul 2003 11:04:27 -0000
@@ -66,14 +66,14 @@ class Id:public DelayIdComposite
         void operator delete (void *);
         virtual void deleteSelf() const;
 
-        Id (DelayVector::Pointer,CompositeSelectionDetails &);
+        Id (RefCount<DelayVector>,CompositeSelectionDetails &);
         ~Id();
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
         virtual void delayRead(DeferredRead const &);
 
     private:
-        DelayVector::Pointer theVector;
+        RefCount<DelayVector> theVector;
         Vector<DelayIdComposite::Pointer> ids;
         typedef Vector<DelayIdComposite::Pointer>::iterator iterator;
         typedef Vector<DelayIdComposite::Pointer>::const_iterator const_iterator;
Index: src/delay_pools.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/delay_pools.cc,v
retrieving revision 1.13
diff -u -p -r1.13 delay_pools.cc
--- src/delay_pools.cc	20 Jun 2003 02:12:58 -0000	1.13
+++ src/delay_pools.cc	19 Jul 2003 11:04:27 -0000
@@ -92,13 +92,13 @@ class AggregateId:public DelayIdComposit
         void *operator new(size_t);
         void operator delete (void *);
         virtual void deleteSelf() const;
-        AggregateId (Aggregate::Pointer);
+        AggregateId (RefCount<Aggregate>);
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
         virtual void delayRead(DeferredRead const &);
 
     private:
-        Aggregate::Pointer theAggregate;
+        RefCount<Aggregate> theAggregate;
     };
 
     friend class AggregateId;
@@ -162,12 +162,12 @@ class Id:public DelayIdComposite
         void *operator new(size_t);
         void operator delete (void *);
         virtual void deleteSelf() const;
-        Id (VectorPool::Pointer, int);
+        Id (RefCount<VectorPool>, int);
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
 
     private:
-        VectorPool::Pointer theVector;
+        RefCount<VectorPool> theVector;
         int theIndex;
     };
 };
@@ -259,12 +259,12 @@ class Id:public DelayIdComposite
         void *operator new(size_t);
         void operator delete (void *);
         virtual void deleteSelf() const;
-        Id (ClassCHostPool::Pointer, unsigned char, unsigned char);
+        Id (RefCount<ClassCHostPool>, unsigned char, unsigned char);
         virtual int bytesWanted (int min, int max) const;
         virtual void bytesIn(int qty);
 
     private:
-        ClassCHostPool::Pointer theClassCHost;
+        RefCount<ClassCHostPool> theClassCHost;
         unsigned char theNet;
         unsigned char theHost;
     };
@@ -542,7 +542,7 @@ Aggregate::AggregateId::deleteSelf() con
     delete this;
 }
 
-Aggregate::AggregateId::AggregateId(Aggregate::Pointer anAggregate) : theAggregate(anAggregate)
+Aggregate::AggregateId::AggregateId(RefCount<Aggregate> anAggregate) : theAggregate(anAggregate)
 {}
 
 int


